Documentation/RelNotes-1.6.0.txt: Expand on the incompatible packfiles
authorPetr Baudis <pasky@suse.cz>
Thu, 17 Jul 2008 17:01:30 +0000 (19:01 +0200)
committerJunio C Hamano <gitster@pobox.com>
Thu, 17 Jul 2008 18:19:39 +0000 (11:19 -0700)
Note that v1.4.4.5 supports pack index v2, and describe how to keep
your repositories backwards-compatible, shall you need to.

Signed-off-by: Petr Baudis <pasky@suse.cz>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
Documentation/RelNotes-1.6.0.txt

index b29ba25..9bbb07e 100644 (file)
@@ -21,7 +21,9 @@ main git.git codebase.
 By default, packfiles created with this version uses delta-base-offset
 encoding introduced in v1.4.4.  Pack idx files are using version 2 that
 allows larger packs and added robustness thanks to its CRC checking,
-introduced in v1.5.2.
+introduced in v1.5.2 and v1.4.4.5.  If you want to keep your repositories
+backwards compatible past these versions, set repack.useDeltaBaseOffset
+to false or pack.indexVersion to 1, respectively.
 
 GIT_CONFIG, which was only documented as affecting "git config", but
 actually affected all git commands, now only affects "git config".